org.apache.solr.handler.admin

## Class CollectionsHandler

- java.lang.Object
- - org.apache.solr.handler.RequestHandlerBase
  - - org.apache.solr.handler.admin.CollectionsHandler

- All Implemented Interfaces:
    SolrInfoMBean, NestedRequestHandler, SolrRequestHandler, PermissionNameProvider

      public class CollectionsHandler
      extends RequestHandlerBase
      implements PermissionNameProvider

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.solr.security.PermissionNameProvider

      `PermissionNameProvider.Name`

    - ### Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean

      `SolrInfoMBean.Category`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CoreContainer` | `coreContainer`
    `static long` | `DEFAULT_COLLECTION_OP_TIMEOUT`
    `static List<String>` | `MODIFIABLE_COLL_PROPS`
    `static String` | `SYSTEM_COLL`

    - ### Fields inherited from class org.apache.solr.handler.RequestHandlerBase

      `appends, defaults, httpCaching, initArgs, invariants`

    - ### Fields inherited from interface org.apache.solr.security.PermissionNameProvider

      `ANY, NULL, values`

    - ### Fields inherited from interface org.apache.solr.request.SolrRequestHandler

      `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollectionsHandler()`
    `CollectionsHandler(CoreContainer coreContainer)` Overloaded ctor to inject CoreContainer into the handler.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CoreContainer` | `getCoreContainer()` The instance of CoreContainer this handler handles.
    `String` | `getDescription()` Simple one or two line description
    `PermissionNameProvider.Name` | `getPermissionName(AuthorizationContext ctx)`
    `void` | `handleRequestBody(SolrQueryRequest req, SolrQueryResponse rsp)`
    `void` | `init(NamedList args)` Initializes the `SolrRequestHandler` by creating three `SolrParams` named.
    `static ModifiableSolrParams` | `params(String... params)`
    `static void` | `verifyRuleParams(CoreContainer cc, Map<String,Object> m)`

    - ### Methods inherited from class org.apache.solr.handler.RequestHandlerBase

      `getCategory, getDocs, getInitArgs, getName, getPluginInfo, getRequestHandler, getSolrParamsFromNamedList, getSource, getStatistics, getSubHandler, getVersion, handleRequest, setPluginInfo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### coreContainer

          protected final CoreContainer coreContainer

    - #### DEFAULT_COLLECTION_OP_TIMEOUT

          public static long DEFAULT_COLLECTION_OP_TIMEOUT

    - #### SYSTEM_COLL

          public static final String SYSTEM_COLL

      See Also:
        Constant Field Values

    - #### MODIFIABLE_COLL_PROPS

          public static final List<String> MODIFIABLE_COLL_PROPS

  - ### Constructor Detail

    - #### CollectionsHandler

          public CollectionsHandler()

    - #### CollectionsHandler

          public CollectionsHandler(CoreContainer coreContainer)

      Overloaded ctor to inject CoreContainer into the handler.
      Parameters:
        `coreContainer` - Core Container of the solr webapp installed.

  - ### Method Detail

    - #### getPermissionName

          public PermissionNameProvider.Name getPermissionName(AuthorizationContext ctx)

      Specified by:
        `getPermissionName` in interface `PermissionNameProvider`

    - #### init

          public final void init(NamedList args)

      Description copied from class: `RequestHandlerBase`
      Initializes the `SolrRequestHandler` by creating three `SolrParams` named.

      Name | Description
      --- | ---
      defaults | Contains all of the named arguments contained within the list element named "defaults".
      appends | Contains all of the named arguments contained within the list element named "appends".
      invariants | Contains all of the named arguments contained within the list element named "invariants".

      Example:

           <lst name="defaults">
           <str name="echoParams">explicit</str>
           <str name="qf">text^0.5 features^1.0 name^1.2 sku^1.5 id^10.0</str>
           <str name="mm">2<-1 5<-2 6<90%</str>
           <str name="bq">incubationdate_dt:[* TO NOW/DAY-1MONTH]^2.2</str>
           </lst>
           <lst name="appends">
           <str name="fq">inStock:true</str>
           </lst>

           <lst name="invariants">
           <str name="facet.field">cat</str>
           <str name="facet.field">manu_exact</str>
           <str name="facet.query">price:[* TO 500]</str>
           <str name="facet.query">price:[500 TO *]</str>
           </lst>

      Specified by:
        `init` in interface `SolrRequestHandler`
      Overrides:
        `init` in class `RequestHandlerBase`
      Parameters:
        `args` - The `NamedList` to initialize from
      See Also:
        `RequestHandlerBase.handleRequest(org.apache.solr.request.SolrQueryRequest, org.apache.solr.response.SolrQueryResponse)`, `RequestHandlerBase.handleRequestBody(org.apache.solr.request.SolrQueryRequest, org.apache.solr.response.SolrQueryResponse)`, `SolrPluginUtils.setDefaults(org.apache.solr.request.SolrQueryRequest, org.apache.solr.common.params.SolrParams, org.apache.solr.common.params.SolrParams, org.apache.solr.common.params.SolrParams)`, `See also the example solrconfig.xml located in the Solr codebase (example/solr/conf).`

    - #### getCoreContainer

          public CoreContainer getCoreContainer()

      The instance of CoreContainer this handler handles. This should be the CoreContainer instance that created this handler.
      Returns:
        a CoreContainer instance

    - #### handleRequestBody

          public void handleRequestBody(SolrQueryRequest req,
                                        SolrQueryResponse rsp)
                                 throws Exception

      Specified by:
        `handleRequestBody` in class `RequestHandlerBase`
      Throws:
        `Exception`

    - #### params

          public static ModifiableSolrParams params(String... params)

    - #### getDescription

          public String getDescription()

      Description copied from interface: `SolrInfoMBean`
      Simple one or two line description
      Specified by:
        `getDescription` in interface `SolrInfoMBean`
      Specified by:
        `getDescription` in class `RequestHandlerBase`

    - #### verifyRuleParams

          public static void verifyRuleParams(CoreContainer cc,
                                              Map<String,Object> m)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.